require barebox.inc

SRCREV = "6825fb56576b78be47a1dae292bac14ec18bdd2e"
SRC_URI = " \
	git://git.sysmocom.de/barebox.git;branch=v2015.05 \
	file://defconfig \
	"

PV = "v2015.05+git${SRCPV}"
S = "${WORKDIR}/git"

BAREBOX_ELF_IMAGE ?= "barebox-${MACHINE}-${PKGV}-${PKGR}.elf"
BAREBOX_ELF_SYMLINK ?= "barebox-${MACHINE}.elf"
BAREBOX_BIN_IMAGE ?= "barebox-${MACHINE}-${PKGV}-${PKGR}.bin"
BAREBOX_BIN_SYMLINK ?= "barebox-${MACHINE}.bin"

do_deploy_append () {
	install -d ${DEPLOYDIR}
	install ${S}/arch/arm/pbl/zbarebox ${DEPLOYDIR}/${BAREBOX_ELF_IMAGE}
	install ${S}/arch/arm/pbl/zbarebox.bin ${DEPLOYDIR}/${BAREBOX_BIN_IMAGE}
	cd ${DEPLOYDIR}
	rm -f ${BAREBOX_ELF_SYMLINK}
	rm -f ${BAREBOX_BIN_SYMLINK}
	ln -sf ${BAREBOX_ELF_IMAGE} ${BAREBOX_ELF_SYMLINK}
	ln -sf ${BAREBOX_BIN_IMAGE} ${BAREBOX_BIN_SYMLINK}
}
